#ifndef RELMECH_H
#define RELMECH_H
#include <iostream.h>
#include <fstream.h>
#include "Text.h"

class Action;

#define BIRD_MAX_ASSOCIATES 10

class Relmech {

public:

 ~Relmech();
  Relmech();

  inline Text &             getName(void) { return relmechName; }
  inline void               setName(const Text &name) { relmechName = name; }
  
  inline int                isActive(void) { return value; }
  void                      toggle(void);

  inline double             getFamiliarity(void) { return familiarity; }
  void                      setFamiliarity(double);
  void                      setFamiliarityMin(double);
  void                      setFamiliarityMax(double);
  void                      receiveReward(double);
  void                      setLearningRate(double);

private:

  // ---------------------- class variables --------------------------------

  Text                      relmechName;
  double                    value;
  double                    familiarity, familiarityMin, familiarityMax;
  double                    learningRate;
};
	
#endif
